function plotAFSLock(Empty_Button, AxesAFS,num)



plotAFS_BKP(Empty_Button,AxesAFS)

data = get(Empty_Button,'UserData');
if data.scalBorg==1
hold(AxesAFS,'on');
if num>=1
   if data.numb_segmentsL(1)>0
    plot(AxesAFS,data.AFSL_B{1}([1:end 1],1),data.AFSL_B{1}([1:end 1],2),'k--','LineWidth',2);
   end
   if data.numb_segmentsL(2)>0
   
    plot(AxesAFS,data.AFSL_B{2}([1:end 1],1),data.AFSL_B{2}([1:end 1],2),'k--','LineWidth',2);
   end    
end
if num==2
    if data.numb_segmentsL2>0
    plot(AxesAFS,data.AFSL2_B([1:end 1],1),data.AFSL2_B([1:end 1],2),'k-.','Linewidth',2);
    end
end
hold(AxesAFS,'off');

else
hold(AxesAFS,'on');
if num>=1
   if data.numb_segmentsL(1)>0

    plot(AxesAFS,data.AFSL_SV{1}([1:end 1],1),data.AFSL_SV{1}([1:end 1],2),'k--','LineWidth',2);
   end
   if data.numb_segmentsL(2)>0

    plot(AxesAFS,data.AFSL_SV{2}([1:end 1],1),data.AFSL_SV{2}([1:end 1],2),'k--','LineWidth',2);
   end
end
if num==2
    if data.numb_segmentsL2>0
    plot(AxesAFS,data.AFSL2_SV([1:end 1],1),data.AFSL2_SV([1:end 1],2),'k-.','Linewidth',2);
    end
end
hold(AxesAFS,'off');

end